var config1: Config = null;

// 定义配置接口
interface Config {
    baseURL: string;
}

// 读取配置文件
fetch('./public/config.json')
    .then(response => {
        if (!response.ok) {
            throw new Error('Failed to load config file');
        }
        return response.json();
    })
    .then((config: Config) => {
        console.log(111);
        
        // 初始化 Axios
        config1 = config;
    })
    .catch(error => {
        console.error('Error loading config file:', error);
    });
    